Name:           perl-Pugs-Compiler-Rule
Version:        0.37
Release:        9%{?dist}
Summary:        Compiler for Perl 6 regexes
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Pugs-Compiler-Rule/
Source0:        http://www.cpan.org/authors/id/F/FG/FGLOCK/Pugs-Compiler-Rule-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Cache::Cache) >= 1.05
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(PadWalker) >= 1.0
BuildRequires:  perl(Parse::Yapp)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(YAML::Syck) >= 0.60
Requires:       perl(Cache::Cache) >= 1.05
Requires:       perl(PadWalker) >= 1.0
Requires:       perl(YAML::Syck) >= 0.60
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%{?filter_setup:
%filter_from_requires /perl(v6-alpha)/d
%{?perl_default_filter}
}

%description
This module provides an pure Perl 5 implementation for Perl 6 regexes,
which does not depend on the Haskell Pugs.

%prep
%setup -q -n Pugs-Compiler-Rule-%{version}

# Drop broken Pugs::Emitter::Rule::Parsec.
rm -f lib/Pugs/Emitter/Rule/Parsec.pm t/11-parsec.t
sed -i -e '\,^\(lib/Pugs/Emitter/Rule/Parsec.pm\|t/11-parsec.t\)$,d' MANIFEST

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test \
|| diff -qb t/ast/00-basic.t{,_} \
&& mv -f t/ast/00-basic.t{_,} \
&& make test

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{_bindir}/compile_p6grammar.pl
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Feb 15 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.37-9
- fix filter for RPM4.9, clean spec

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.37-7
- 661697 rebuild for fixing problems with vendorach/lib

* Tue Aug 10 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.37-6
- remove failing test

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.37-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.37-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 22 2008 Steven Pritchard <steve@kspei.com> 0.37-1
- Update to 0.37.

* Mon Mar  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.28-2
- rebuild for new perl (again)

* Wed Feb 20 2008 Steven Pritchard <steve@kspei.com> 0.28-1
- Update to 0.28.
- Update License tag.

* Fri Feb 08 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.26-2
- rebuild for new perl

* Fri Aug 03 2007 Steven Pritchard <steve@kspei.com> 0.26-1
- Update to 0.26.

* Thu Jul 12 2007 Steven Pritchard <steve@kspei.com> 0.25-1
- Update to 0.25.
- Drop broken Pugs::Emitter::Rule::Parsec.

* Sun Jul 08 2007 Steven Pritchard <steve@kspei.com> 0.24-1
- Update to 0.24.
- Update description and Source0 URL.
- BR File::Slurp and Test::Pod.
- Package compile_p6grammar.pl.

* Fri May 18 2007 Steven Pritchard <steve@kspei.com> 0.23-1
- Update to 0.23.
- BR ExtUtils::MakeMaker.

* Thu Feb 01 2007 Steven Pritchard <steve@kspei.com> 0.20-1
- Specfile autogenerated by cpanspec 1.69.1.
- Remove explicit build dependency on perl.
- Fix description.
- Remove explicit Requires: Parse::Yapp.
